Summary: Digitized instruments for use with timidity or a Gravis Ultrasound if you have one
Requires: timidity
Name: timidity-instruments
Version: 1.0
Release: 7
Source0: ftp://archive.cs.umbc.edu/pub/midia/instruments.tar.gz
Source1: ftp://<ultramid-site>/gsdrum00.zip
Source2: ftp://<ultramid-site>/gsdrum08.zip
Source3: ftp://<ultramid-site>/gsdrum40.zip
Source4: ftp://<ultramid-site>/wowpats1.zip
Source5: ftp://<ultramid-site>/wowfixs1.zip
Source6: ftp://<ultramid-site>/ppats-lite.tar.gz
Source7: timidity-instruments.cfg
Copyright: freely distributable
Group: Applications/Sound
Packager: Michal Svec <pm@penguin.cz>
Requires: timidity
BuildRoot: /tmp/timidity-instruments-1.0
BuildArchitectures: noarch

%description
Digitized instruments for use with timidity or a Gravis Ultrasound if you have one

%prep
# %setup -a 0

%build

%install
INSTROOT=$RPM_BUILD_ROOT; export INSTROOT
[ -n "`echo $INSTROOT | sed -n 's:^/tmp/[^.].*$:OK:p'`" ] && rm -rf $INSTROOT ||
(echo "Problems with \$INSTROOT='$INSTROOT'! Check your .spec..."; exit 1)

rm -rf %INSTROOT

for i in wowpats1 gsdrum00 gsdrum08 gsdrum40; do
	mkdir -p $INSTROOT/usr/lib/timidity/patch/$i
	unzip -L ../SOURCES/$i.zip -d $INSTROOT/usr/lib/timidity/patch/$i
done
tar xvzCf $INSTROOT/usr/lib/timidity/patch ../SOURCES/instruments.tar.gz
tar xvzCf $INSTROOT/usr/lib/timidity/patch ../SOURCES/ppats-lite.tar.gz

(cd $INSTROOT/usr/lib/timidity/patch && mv wowpats1 wowpats)
echo "A" | unzip -L ../SOURCES/wowfixs1.zip -d $INSTROOT/usr/lib/timidity/patch/wowpats 

cp -f $RPM_SOURCE_DIR/timidity-instruments.cfg $INSTROOT/usr/lib/timidity/

chown -R bin.bin $INSTROOT/usr/lib/timidity/patch
chown bin.bin $INSTROOT/usr/lib/timidity/timidity-instruments.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
/usr/lib/timidity/patch/[igpw]*
/usr/lib/timidity/timidity-instruments.cfg
